Ulsav Docs

Media

POST
/api/v1/media/confirmations

Request Body

application/json
  1. body
path*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentType?string
path*string
size?integer
Formatint64
url*string
Example Request
curl -X POST 'https://example.com/api/v1/media/confirmations' \  -H 'Content-Type: application/json' \  -d '{  "path": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/ConfirmedUpload.json",  "contentType": "string",  "path": "string",  "size": 0,  "url": "string"}
POST
/api/v1/media/uploads

Request Body

application/json
  1. body
contentType*string
dirPath*string
filename*string
size*integer
Formatint64

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
expiresAt*string
Formatdate-time
path*string
uploadUrl*string
Example Request
curl -X POST 'https://example.com/api/v1/media/uploads' \  -H 'Content-Type: application/json' \  -d '{  "contentType": "string",  "dirPath": "string",  "filename": "string",  "size": 0}'
Example Response
{  "$schema": "https://example.com/schemas/UploadIntent.json",  "expiresAt": "2019-08-24T14:15:22Z",  "path": "string",  "uploadUrl": "string"}